Package org.lwjgl.opengl

# Class ARBBlendFuncExtended

java.lang.Object
org.lwjgl.opengl.ARBBlendFuncExtended

public final class ARBBlendFuncExtended extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_MAX_DUAL_SOURCE_DRAW_BUFFERS`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev:
`static final int`
`GL_ONE_MINUS_SRC1_ALPHA`
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:
`static final int`
`GL_ONE_MINUS_SRC1_COLOR`
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:
`static final int`
`GL_SRC1_ALPHA`
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:
`static final int`
`GL_SRC1_COLOR`
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindFragDataLocationIndexed(int program, int colorNumber, int index, CharSequence name)`
Overloads glBindFragDataLocationIndexed.
`static void`
`glBindFragDataLocationIndexed(int program, int colorNumber, int index, ByteBuffer name)`
`static int`
`glGetFragDataIndex(int program, CharSequence name)`
Overloads glGetFragDataIndex.
`static int`
`glGetFragDataIndex(int program, ByteBuffer name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SRC1_COLOR

public static final int GL_SRC1_COLOR
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

See Also:
  - Constant Field Values

### GL_SRC1_ALPHA

public static final int GL_SRC1_ALPHA
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

See Also:
  - Constant Field Values

### GL_ONE_MINUS_SRC1_COLOR

public static final int GL_ONE_MINUS_SRC1_COLOR
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

See Also:
  - Constant Field Values

### GL_ONE_MINUS_SRC1_ALPHA

public static final int GL_ONE_MINUS_SRC1_ALPHA
Accepted by the <src> and <dst> parameters of BlendFunc and BlendFunci, and by the <srcRGB>, <dstRGB>, <srcAlpha> and <dstAlpha> parameters of BlendFuncSeparate and BlendFuncSeparatei:

See Also:
  - Constant Field Values

### GL_MAX_DUAL_SOURCE_DRAW_BUFFERS

public static final int GL_MAX_DUAL_SOURCE_DRAW_BUFFERS
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv and GetDoublev:

See Also:
  - Constant Field Values

## Method Details

### glBindFragDataLocationIndexed

public static void glBindFragDataLocationIndexed(int program, int colorNumber, int index, ByteBuffer name)

### glBindFragDataLocationIndexed

public static void glBindFragDataLocationIndexed(int program, int colorNumber, int index, CharSequence name)
Overloads glBindFragDataLocationIndexed.

### glGetFragDataIndex

public static int glGetFragDataIndex(int program, ByteBuffer name)

### glGetFragDataIndex

public static int glGetFragDataIndex(int program, CharSequence name)
Overloads glGetFragDataIndex.